"""
File        : CirGraphClusterNodeAttribute.py
Author      : Ramon Aragues
Creation    : 7.2.2006
Contents    : Implements the class of an attribute for a GraphNode object in a CirGraphCluster object
Called from : 

=======================================================================================================
"""

# CirGraphClusterNodeAttribute.py: implements the class of an attribute for a GraphNode object in a CirGraphCluster object
#
# Copyright (C) 2005  Ramon Aragues
# author email: ramon.aragues@upf.edu and boliva@imim.es
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    http://www.gnu.org/copyleft/gpl.html
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# University Pompeu Fabra, hereby disclaims all copyright
# interest in the program 'PIANA'
# (software for working with protein-protein interaction networks) written 
# by Ramon Aragues

import sys
import getopt
import re
import readline
from sets import *

from GraphClusterNodeAttribute import *

class CirGraphClusterNodeAttribute(GraphClusterNodeAttribute):
    """
    Implements the class of an attribute for a GraphNode object in a CirGraphCluster object
    """

    def get_node_id(self):
        """
        
        """
        # not being used... no one ever asks an attribute of a GraphCluster to identify itself...
        # ---> the attributes that must be able to identify themselves are those inside 
        #      this attribute: self.get_list_elements()
        return 0

