"""
 File       : delete_info_external_dp_from_piana_db.py
 Author     : Javier Garcia
 Creation   : April 2007
 Contents   : script that deletes an external database from piana database
 Called from: command line

=======================================================================================================
"""


from PianaDBaccess import *
from parserUtilities import *


# Define the arguments
compulsory_arguments_list = [ ("piana-dbname=",None,"name of database piana to be used"),
                              ("piana-dbhost=",None,"name of host where database piana to be used is placed")]
                              #("database-name=",None,"identifier of the external database to be deleted")]


optional_arguments_list = [("piana-dbuser=",None,"username accessing the database (not required in most systems)"),
                           ("piana-dbpass=",None,"password of username accessing the database (not required in most systems"),
                           ("help",None,"prints this message and exits")]



# Create a parser object with the information of the parser

parser = ParserObject( script_name="delete_info_external_dp_from_piana_db.py",
                       script_description="This program deletes an external database from pianaDB",
                       compulsory_arguments=compulsory_arguments_list,
                       optional_arguments = optional_arguments_list)


# Parse arguments:
parser_dict = parser.parseArguments()

piana_dbname = parser_dict["piana-dbname"]
piana_dbhost= parser_dict["piana-dbhost"]
piana_dbuser= parser_dict["piana-dbuser"]
piana_dbpass = parser_dict["piana-dbpass"]
help = parser_dict["help"]
#database_name = parser_dict["database-name"]

# Initializing connection to piana
print "initializing piana db connection..."
piana_access = PianaDBaccess(dbname=piana_dbname, dbhost= piana_dbhost, dbuser=piana_dbuser, dbpassword= piana_dbpass )
print "connected!"

# Locking tables to be updated
# In this case, lock all tables!!!
print "locking tables..."
piana_access.lock_tables(table_list = [] )
print "locked!"

print "dropping external database..."

#list_databases=["gene","refseq","cog-muyva=gb","COG","kog-kyva=gb","KOG","scop","dip","intact","biogrid","hprd","go","bind","gene_info","mint","mips"]
#list_databases=["intact","biogrid","hprd","bind","mint","mips"]
#list_databases=["ori"]
list_databases=[]

piana_access.drop_multiple_external_databases(list_databases=list_databases,pianaDB=piana_dbname)

piana_access.close()

