"""
File        : 
Author      : Ramon Aragues
Creation    : 11.11.2004
Contents    : 
Called from : 

=======================================================================================================

This program 
"""

import sys
import getopt
import time

import re
import readline

from sets import *

verbose = 1


# ----------------------
# Function usage()
# ----------------------
def usage():
    print "--------------------------------------------------------------------------------------------------------------"
    print "This program  \n"
    print "Usage: python  "
    print "\nwhere:"
    print "     --help         : prints this message and exits"
    print "     --verbose      : prints process info to stdout"
    print "--------------------------------------------------------------------------------------------------------------"
        

# TO DO!!! Instead of having the user choose the type of expansion, it should be read from input file


# ---------------------------
# Function parseArguments()                                               
# --------------------------- 

def parseArguments():
    
    global verbose
    
    try:
        opts, args = getopt.getopt(sys.argv[1:], "vh", ["verbose","help"])
    except getopt.GetoptError:
        # print help information and exit:
        usage()
        sys.exit(2)
     
    for option,value in opts:
        
        if option in ("-v", "--verbose"):
            verbose = 1
            
        elif option in ("-h", "--help"):
            # print help information and exit
            usage()
            sys.exit(2)
            
    # END OF for option,value in opts:
         
        
# --------
# --------
#  Main()               
# --------                               
# --------



# ATTENTION: time.clock has problems (wraparound). Use utilities.timings_out instead!!!


# --------------------------------------
#num_elems = 0
#print 'two loops',;t=time.clock()
#
#for el1 in l1:
#    if el1 in l2:
#        num_elems +=1
#print "num_elems is %s" %(num_elems)
#print time.clock()-t,"seconds"

# --------------------------------------
#num_elems = 0
#print 'two dics',;t=time.clock()
#d1={}
#d2={}
#for el1 in l1:
#    d1[el1]=None
#for el2 in l2:
#    d2[el2]=None
#
#for el2 in d2.keys():
#    if d1.has_key(el2):
#        num_elems +=1
#print "num_elems is %s" %(num_elems)
#print time.clock()-t,"seconds"

# --------------------------------------

# --------------------------------------
## num_elems = 0
## print 'number common elems: one dic, one list',;t=time.clock()
## d1={}
## for el1 in l1:
##     d1[el1]=None

## for el2 in l2:
##     if d1.has_key(el2):
##         num_elems +=1
## print "num_elems is %s" %(num_elems)
## print time.clock()-t,"seconds"

# --------------------------------------
## print 'number common elems: two sets',;t=time.clock()
## s1= Set(l1)
## s2= Set(l2)
## num_elems = len(s1.intersection(s2))
## print "num_elems is %s" %(num_elems)
## print time.clock()-t,"seconds"

# --------------------------------------
# --------------------------------------
## print 'number common elems: one set, one list',;t=time.clock()
## s1= Set(l1)
## num_elems = len(s1.intersection(l2))
## print "num_elems is %s" %(num_elems)
## print time.clock()-t,"seconds"

# --------------------------------------
## temp_dict = {}
## for el2 in l2:
##     temp_dict[el2] = None
    
## print 'add elements that are not there already: two sets',;t=time.clock()
## s1= Set(l1)
## s2= Set(temp_dict.keys())

## new_elems = s1.difference(s2)

## for new_elem in new_elems:
##     temp_dict[new_elem]= None

## print "total temp_dict elems is %s" %( len(temp_dict))

## print time.clock()-t,"seconds"
# --------------------------------------
## temp_dict = {}
## for el2 in l2:
##     temp_dict[el2] = None
    
## print 'add elements that are not there already: one dic one list',;t=time.clock()

## for el1 in l1:
##     if not temp_dict.has_key(el1):
##         temp_dict[el1] = None

## print "total temp_dict elems is %s" %( len(temp_dict))
## print time.clock()-t,"seconds"
# ---------------------------------------
## temp_dict = {}
## for el1 in l1:
##     temp_dict[el1] = [2,3,4,5,6]
    
## print 'get number elems dict: from dict',;t=time.clock()
## print "num_elems is %s" %(len(temp_dict))
## print time.clock()-t,"seconds"
# ---------------------------------------
## temp_dict = {}
## for el1 in l1:
##     temp_dict[el1] = [2,3,4,5,6]
    
## print 'get number elems dict: from dict.keys()',;t=time.clock()
## print "num_elems is %s" %(len(temp_dict.keys()))
## print time.clock()-t,"seconds"
# ---------------------------------------
## temp_dict1 = {}
## for el1 in l1:
##     temp_dict1[el1] = [2,3,4,5,"sdfsdf"]
    
## print 'iterate over dict: from dict.keys()',;t=time.clock()
## for el in temp_dict1.keys():
##     pass
## print time.clock()-t,"seconds"
# ---------------------------------------
## temp_dict2 = {}
## for el1 in l1:
##     temp_dict2[el1] = [2,3,4,5,"sdfsdf"]
    
## print 'iterate over dict: from dict',;t=time.clock()
## for el in temp_dict2:
##     pass
## print time.clock()-t,"seconds"
## # ---------------------------------------
## list_1 = [ (1,1), (2,2), (3,3), (4,4), (-1,-1) ]
## list_2 = [ (0,0), (1,1), (3,3), (4,4), (5,5), (6,6), (7,7)]

# list_1 with respecto to list_2
# tp = 3, fp=2, fn=4
# ---------------------------------------
## print 'calculate tp, fp, fn: two loops',;t=time.clock()
## num_tp =0
## num_fp =0
## num_fn =0
## for pair_1 in list_1:
##     appears = 0
##     for pair2 in list_2:
##         if pair_1 == pair2:
##             appears =1
##             break

##     if appears:
##         num_tp +=1
##     else:
##         num_fp +=1


## for pair2 in list_2:
##     appears = 0
##     for pair1 in list_1:
##         if pair2 == pair1:
##             appears = 1
##             break

##     if not appears:
##         num_fn += 1

## print "results tp=%s, fp=%s, fn=%s" %(num_tp, num_fp, num_fn)
## print time.clock()-t,"seconds"

# ---------------------------------------
## print 'calculate tp, fp, fn: two sets',;t=time.clock()
## set1 = Set(list_1)
## set2 = Set(list_2)

## num_tp = len( set1.intersection(set2))
## num_fp = len( set1.difference(set2) )
## num_fn = len( set2.difference(set1) )
## print "results tp=%s, fp=%s, fn=%s" %(num_tp, num_fp, num_fn)
## print time.clock()-t,"seconds"


## l1 = range(10)
## l2 = range(5)

## l1 = range(1000000)
## l2 = range(500000,1500000)
## # ---------------------------------------
## d1 = {}
## for el1 in l1:
##     d1[el1] = None
    
## d2 = {}
## for el2 in l2:
##     d2[el2] = None
    
## print 'set dict values checking for key, loop over list',;t=time.clock()

## for el2 in l2:
##     if not d1.has_key(el2):
##         d1[el2] = None

## print time.clock()-t,"seconds"
## print "final d1 has %s elements" % (len(d1))


## # ---------------------------------------
## d1 = {}
## for el1 in l1:
##     d1[el1] = None
    
## d2 = {}
## for el2 in l2:
##     d2[el2] = None
    
## print 'set dict values checking for key, loop over dict',;t=time.clock()

## for el2 in d2:
##     if not d1.has_key(el2):
##         d1[el2] = None

## print time.clock()-t,"seconds"
## print "final d1 has %s elements" % (len(d1))


## # ---------------------------------------
## d1 = {}
## for el1 in l1:
##     d1[el1] = None
    
## d2 = {}
## for el2 in l2:
##     d2[el2] = None
    
## print 'set dict values NOT checking for key, loop over list',;t=time.clock()

## for el2 in l2:
##     d1[el2] = None

## print time.clock()-t,"seconds"
## print "final d1 has %s elements" % (len(d1))

## # ---------------------------------------
## d1 = {}
## for el1 in l1:
##     d1[el1] = None
    
## d2 = {}
## for el2 in l2:
##     d2[el2] = None
    
## print 'set dict values NOT checking for key, loop over dict',;t=time.clock()

## for el2 in d2:
##     d1[el2] = None

## print time.clock()-t,"seconds"
## print "final d1 has %s elements" % (len(d1))

## # ---------------------------------------
## l1 = range(1000000)

## d1 = {}
## for el1 in l1:
##     d1[el1] = None
    
## print 'converting dict to Set',;t=time.clock()

## s1 = Set(d1)

## print time.clock()-t,"seconds"

## # ---------------------------------------
l1 = range(1000000)
l2 = range(990000, 1500000)

d1 = {}
for el1 in l1:
    d1[el1] = None

d2 = {}
for el2 in l2:
    d2[el2] = None

s1 = Set(l1)
s2 = Set(l2)
    
print 'overlap of one element with Sets intersection length',;t=time.clock()

if s1.intersection(s2):
    intersect = "yes"
else:
    intersect = "no"

print time.clock()-t,"seconds and solution: %s" %intersect

    
print 'overlap of one element with dicts',;t=time.clock()

intersect = "no"

for el1 in d1:
    if d2.has_key(el1):
        intersect = "yes"
        break


print time.clock()-t,"seconds and solution: %s" %intersect
