"""
File        : piana_configuration_parameters.py
Author      : Ramon Aragues
Creation    : 12.2005
Contents    : sets configuration details for piana
Called from : 

=======================================================================================================

This file sets the configuration details for running PIANA

For example, there is a developer mode, in which all options are
activated (and all external packages are required) and a simple user
mode (few external packages required)

More information on the purpose of this file can be read on
section "PIANA types of users" of README.piana_tutorial


"""

# piana_configuration_parameters.py: sets configuration details for piana
#
# Copyright (C) 2005  Ramon Aragues
# author email: ramon.aragues@upf.edu and boliva@imim.es
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    http://www.gnu.org/copyleft/gpl.html
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# University Pompeu Fabra, hereby disclaims all copyright
# interest in the program 'PIANA'
# (software for working with protein-protein interaction networks) written 
# by Ramon Aragues



# -------------------------------------------------------
#                   PIANA  USER OPTIONS
# -------------------------------------------------------
#
# -------------------------------------------------------
# uncomment here the kind of piana use you are going to do
# -------------------------------------------------------

#piana_mode = "developer"
#piana_mode = "advanced_user"
piana_mode = "simple_user"

# -------------------------------------------------------
#                   PIANA  DATABASE OPTIONS
# -------------------------------------------------------
#
# These are some other database parameters that you can
# configure, apart from those set in the configuration
# file. Usually, these parameters are not to be changed
# but some systems do require custom configurations
# (eg. changing the mysql port)

piana_dbport = None # leave to None if default is to be used



# -------------------------------------------------------
#                   PIANA SECONDARY DATABASE
# -------------------------------------------------------
# See explanation on what these parameters are used for
# on file piana/code/execs/conf_files/general_template.piana_conf
#

# set everything to None if you don't want to use a 
# secondary PIANA database (or if you don't have one,
# or if you don't know what this is)
#piana_secondary_dbname = "pianaDB_all"
#piana_secondary_dbhost = "sefarad"
piana_secondary_dbname = None
piana_secondary_dbhost = None
piana_secondary_dbuser = None
piana_secondary_dbpass = None
piana_secondary_dbport = None
